# Uses of Interface
javax.print.event.PrintJobListener

Packages that use PrintJobListener
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.event
Package `javax.print.event` contains event classes and listener interfaces.

## Uses of PrintJobListener in javax.print

Methods in javax.print with parameters of type PrintJobListener
Modifier and Type
Method
Description
`void`
DocPrintJob.`addPrintJobListener(PrintJobListener listener)`
Registers a listener for event occurring during this print job.
`void`
DocPrintJob.`removePrintJobListener(PrintJobListener listener)`
Removes a listener from this print job.

## Uses of PrintJobListener in javax.print.event

Classes in javax.print.event that implement PrintJobListener
Modifier and Type
Class
Description
`class`
`PrintJobAdapter`
An abstract adapter class for receiving print job events.